
package com.ws;

import java.net.MalformedURLException;
import java.net.URL;

import javax.jws.HandlerChain;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.1 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "ServerInfoService",
									targetNamespace = "http://ws.mkyong.com/",
									wsdlLocation = "http://localhost:8888/ws/server?wsdl"
)
@HandlerChain(file = "handler-chain.xml")
public class ServerInfoService extends Service {
	
	private final static URL SERVERINFOSERVICE_WSDL_LOCATION;
	
	static {
		URL url = null;
		try {
			url = new URL("http://localhost:8888/ws/server?wsdl");
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
		SERVERINFOSERVICE_WSDL_LOCATION = url;
	}
	
	public ServerInfoService(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}
	
	public ServerInfoService() {
		super(SERVERINFOSERVICE_WSDL_LOCATION, new QName("http://ws.mkyong.com/", "ServerInfoService"));
	}
	
	/**
	 * 
	 * @return
	 *     returns ServerInfo
	 */
	@WebEndpoint(name = "ServerInfoPort")
	public ServerInfo getServerInfoPort() {
		return (ServerInfo) super.getPort(new QName("http://ws.mkyong.com/", "ServerInfoPort"), ServerInfo.class);
	}
	
	/**
	 * 
	 * @param features
	 *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
	 * @return
	 *     returns ServerInfo
	 */
	@WebEndpoint(name = "ServerInfoPort")
	public ServerInfo getServerInfoPort(WebServiceFeature... features) {
		return (ServerInfo) super.getPort(new QName("http://ws.mkyong.com/", "ServerInfoPort"), ServerInfo.class, features);
	}
	
}
